org.apache.http.conn.params

## Class ConnRouteParamBean

- java.lang.Object
- - org.apache.http.params.HttpAbstractParamBean
  - - org.apache.http.conn.params.ConnRouteParamBean

- Deprecated.
  (4.3) use `RequestConfig`.

      @Deprecated
      public class ConnRouteParamBean
      extends org.apache.http.params.HttpAbstractParamBean

  This is a Java Bean class that can be used to wrap an instance of `HttpParams` and manipulate connection routing parameters using Java Beans conventions.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.params.HttpAbstractParamBean

      `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnRouteParamBean(org.apache.http.params.HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDefaultProxy(org.apache.http.HttpHost defaultProxy)` Deprecated.
    `void` | `setForcedRoute(HttpRoute route)` Deprecated.
    `void` | `setLocalAddress(InetAddress address)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnRouteParamBean

          public ConnRouteParamBean(org.apache.http.params.HttpParams params)

      Deprecated.

  - ### Method Detail

    - #### setDefaultProxy

          public void setDefaultProxy(org.apache.http.HttpHost defaultProxy)

      Deprecated.
      See Also:
        `ConnRoutePNames.DEFAULT_PROXY`

    - #### setLocalAddress

          public void setLocalAddress(InetAddress address)

      Deprecated.
      See Also:
        `ConnRoutePNames.LOCAL_ADDRESS`

    - #### setForcedRoute

          public void setForcedRoute(HttpRoute route)

      Deprecated.
      See Also:
        `ConnRoutePNames.FORCED_ROUTE`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.